### Method

# Shumate VectorReaderIter feature_contains_point

since: 1.2

#### Declaration [src]

    gboolean
    shumate_vector_reader_iter_feature_contains_point (
      ShumateVectorReaderIter* self,
      double x,
      double y
    )

#### Description [src]

Determines whether the current feature contains the given point.

The point must be specified in tile space. See `shumate_vector_reader_iter_get_layer_extent()` to get the range of the coordinates.

Only polygon or multipolygon features can contain a point. For all other feature types, this function returns `FALSE`.

If the point is on the border of the polygon, this function may return either `TRUE` or `FALSE`.

Available since: 1.2

#### Parameters

`x`

  Type: `double`

  No description available.

`y`

  Type: `double`

  No description available.

#### Return value

Type: `gboolean`

`TRUE` if the feature contains the point, `FALSE` otherwise.